Yaf_Response_Abstract
Yaf_Response_Abstract::clearBody
Yaf_Response_Abstract
PHP Manual

# Yaf_Response_Abstract::appendBody

append to body

### Description

public bool Yaf_Response_Abstract::appendBody ( string `$content` [, string `$key` ] )

append a content to a exists content block

### Parameters

`body`

  content string

`key`

  the content key, you can set a content with a key, if you don't specific, then Yaf_Response_Abstract::DEFAULT_BODY will be used

  > Note:

  > this parameter is introduced as of 2.2.0

### Return Values

bool

### Examples

Example #1 Yaf_Response_Abstract::appendBodyexample

`<?php
$response = new Yaf_Response_Http();
$response->setBody("Hello")->prependBody(" World");
echo $response;
?>`

The above example will output something similar to:

    Hello World

### See Also

- Yaf_Config_Ini

### See Also

- Yaf_Response_Abstract::getBody
- Yaf_Response_Abstract::setBody
- Yaf_Response_Abstract::prependBody
- Yaf_Response_Abstract::clearBody